gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.Data

Contents

- Exported types

Description

The `Data` struct is an opaque data structure to represent a [Keyed Data List][glib-Keyed-Data-Lists]. It should only be accessed via the following functions.

Synopsis

- newtype Data = Data (ManagedPtr Data)
- noData :: Maybe Data

# Exported types

newtype Data Source #

Memory-managed wrapper type.

Constructors

Data (ManagedPtr Data) |

Instances

WrappedPtr Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods wrappedPtrCalloc :: IO (Ptr Data) Source # wrappedPtrCopy :: Data -> IO Data Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Data -> IO ())) Source #

noData :: Maybe Data Source #

A convenience alias for `Nothing` :: `Maybe` `Data`.